-- English localization file for enUS and enGB.
local AceLocale = LibStub:GetLibrary("AceLocale-3.0")
local L = AceLocale:NewLocale("SpeakinSpell", "enUS", true)
if not L then return end


-------------------------------------------------------------------------------
-- THE NAME OF THIS ADDON
-------------------------------------------------------------------------------


-- the name SpeakinSpell is a reference to a children's toy from the early 1980s
-- see http://en.wikipedia.org/wiki/Speak_&_Spell_(game) for details
L["SpeakinSpell"] = "SpeakinSpell"


-------------------------------------------------------------------------------
-- SLASH COMMANDS (do not include the leading /)
-------------------------------------------------------------------------------


-- "/SpeakinSpell" prefix and abbreviations
L["/SpeakinSpell"] = "SpeakinSpell"
L["/speakinspell"] = "speakinspell"
L["/SS"] = "SS"
L["/ss"] = "ss"

-- parameters for "/ss something"
L["/options"]	= "options"		-- /ss options
L["/reset"]		= "reset"		-- /ss reset
L["/help"]		= "help"		-- /ss help
L["/url"]		= "url"			-- /ss url
L["/advertise"]	= "advertise"	-- /ss advertise

-- text printed by "/ss help" or any unknown command
-- this can be a list of however many lines of text it takes to explain it
L["/help TEXT"] = [[
Usage Info for /SpeakinSpell (/ss)
/ss - show options
/ss options - show options
/ss reset - reset to defaults
/ss help - show this message
/ss url - show the official SpeakinSpell project website URL
/ss advertise - tell your friends about this addon]]


-------------------------------------------------------------------------------
-- YES AND NO
-------------------------------------------------------------------------------
-- These strings are used as buttons in popup message boxes


L["Yes"]= "Yes"
L["No"] = "No"
L["OK"] = "OK"


-------------------------------------------------------------------------------
-- CHAT CHANNEL NAMES
-------------------------------------------------------------------------------
-- These channel names are displayed as drop-down list options in the GUI


L["SAY"]			= "Say (/s)"
L["PARTY"]			= "Party (/p)"
L["RAID"]			= "Raid (/ra)"
L["BATTLEGROUND"]	= "Battleground (/bg)"
L["EMOTE"]			= "Emote (/em)"
L["YELL"]			= "Yell (/y)"
L["RAID_WARNING"]	= "Raid Warning (/rw)"
L["Silent"]			= "Silent" -- messages are disabled


-------------------------------------------------------------------------------
-- SUBSTITUTION TABLE
-------------------------------------------------------------------------------
-- These are the substitution variables which may be used in random speeches


L["<target>"] = "<target>" -- the target's name
L["<targetclass>"] = "<targetclass>" -- the target's name
L["<targetrace>"] = "<targetrace>" -- the target's name
L["<no target>"] = "<no target>" -- text used in place of <target> if there is no target
L["<no target class>"] = "<no target class>" -- text used in place of <targetclass> if there is no target
L["<no target race>"] = "<no target race>" -- text used in place of <targetrace> if there is no target
L["<player>"] = "<player>" -- the player's name
L["<spellname>"] = "<spellname>" -- the name of a spell
L["<TM>"] ="<TM>" -- becomes the "trademark" symbol
L["<R>"] = "<R>" -- becomes the "registered trademark" symbol
L["<C>"] = "<C>" -- becomes the "Copyright (C)" symbol


-------------------------------------------------------------------------------
-- POPUP MESSAGES
-------------------------------------------------------------------------------
-- NOTE: <spellname> must match the ["<spellname>"] entry above


L["POPUPTEXT_NOT_A_NEW_SPELL"] = [[You already have random messages configured for the spell

"<spellname>"]]


-------------------------------------------------------------------------------
-- OPTIONS GUI LABELS AND TOOLTIPS
-------------------------------------------------------------------------------


L["General Settings"] = "General Settings"
L["General Settings TOOLTIP"] = "General Settings for SpeakinSpell"

L["Message Settings"] = "Message Settings"

L["Report detected spell events"] = "Report detected spell events"
L["Report detected spell events TOOLTIP"] = [[
You should typically leave this option disabled

Enable this option to make SpeakinSpell show you (and only you) all of the spell casting events that it detects, using private addon messages that will say "SpeakinSpell:<name of the spell SpeakinSpell sees>".

This can be useful for figuring out the name of the spell that is cast by an item, which is typically not the name of the item itself.

For example using a [Heavy Frostweave Bandage] casts a spell called "First Aid" so in order to generate SpeakinSpell messages for bandages, you must enter the spell name "First Aid" NOT the item name "Heavy Frostweave Bandage""
]]

L["Select a Spell"] = "Select a Spell"
L["Select a Spell TOOLTIP"] = "Select a spell from the list to configure random speeches for that spell."

L["New Spell"] = "New Spell"
L["New Spell TOOLTIP"] = "Add a new spell to the list"

L["Delete Spell"] = "Delete Spell"
L["Delete Spell TOOLTIP"] = "Delete the selected spell from the list"

L["Select the channels to use when announcing this spell when"] = "Select the channels to use when announcing this spell when..."

L["In a Battleground"] = "In a Battleground"
L["In a Battleground TOOLTIP"] = "Select which channel to speak into when announcing this spell while in a Battleground"

L["In a Raid"] = "In a Raid"
L["In a Raid TOOLTIP"] = "Select which channel to speak into when announcing this spell while in a Raid"

L["In a Party"] = "In a Party"
L["In a Party TOOLTIP"] = "Select which channel to speak into when announcing this spell while in a Party"

L["By yourself"] = "By yourself"
L["By yourself TOOLTIP"] = "Select which channel to speak into when announcing this spell while playing solo"

L["Whisper the message to your target"] = "Whisper the message to your target"
L["Whisper the message to your target TOOLTIP"] = [[
Enable whispering your spell announcement message to the target of your spell.

Only applies to spells cast with a valid friendly target, otherwise this option will be ignored.
]]

L["NEW SPELL INSTRUCTIONS"] = [[
Enter the name of a spell that you want to trigger random speeches

The name of the spell must be spelled exactly right, but is not case sensitive.

Specifying the rank is optional, but can be useful if you want to announce casting of a down-ranked spell differently from any other rank of that spell.

The following examples are all valid
Polymorph
polymorph
Polymorph (Rank 2)
polymorph (rank 3)
]]

L["Enter a new Spell Name"] = "Enter a new Spell Name"
L["Enter a new Spell Name TOOLTIP"] = [[
Enter the name of a spell that you want to trigger random speeches

The name of the spell must be spelled exactly right, but is not case sensitive.

Specifying the rank is optional, but can be useful if you want to announce casting of a down-ranked spell differently from any other rank of that spell.

The following examples are all valid
Polymorph
polymorph
Polymorph (Rank 2)
polymorph (rank 3)
]]

L["Cancel New Spell"] = "Cancel New Spell"
L["Cancel New Spell TOOLTIP"] = "Cancel entering the new spell and return to the previous interface."

L["ADD FIRST SPELL INSTRUCTIONS"] = [[You do not have any spells or abilities configured for this character

Click "New Spell" to get started]]

L["Random Speech i"] = "Random Speech %d" -- the %d will be replaced with a number 1 to 50
L["Random Speech i TOOLTIP"] = "One of the random speeches associated with the selected spell"


-------------------------------------------------------------------------------
-- ADDON MESSAGES (not random speeches - these are system/runtime messages)
-------------------------------------------------------------------------------


L["Loaded version %s"] = "Loaded version %s" -- the %s will be replaced with the current SpeakinSpell version number, for example "3.0.3.08"
L["Default settings restored"] = "Default settings restored"

-- The default US English advertisement contains a reference to Sesame Street
-- the end of each episode would say "brought to you by the letter __, the number __, and viewers like you"
-- http://en.wikipedia.org/wiki/Seseme_Street
L["ADVERTISEMENT"] = "My spell-triggered random messages are brought to you by the letter R, the number 3, and SpeakinSpell"


-------------------------------------------------------------------------------
-- THE DEFAULT MESSAGE FOR A NEW SPELL
-------------------------------------------------------------------------------


L["DEFAULT_NEW_SPELL_MESSAGE"] = "<player> is casting <spellname> on <target>"


-------------------------------------------------------------------------------
-- DEFAULT MESSAGE SETTINGS PER CLASS
-------------------------------------------------------------------------------
-- Translate random messages and spell names ONLY
-- Do not translate class names.
--		The UnitClass("player") API returns class names in capitalized english
-- Do not translate channel names.
--		The SendChatMessage API	requires uppercase english channel names, i.e. "SAY" etc
-- Ideally there should be at least 3 spells per class
-- and at least 10 messages per spell to keep it from getting repetitive


L.DEFAULT_DATA_PER_CLASS = {

-------------------------------------------------------------------------------
MAGE = {

	["ritual of refreshment"] = {
		Channels = {
			BG		= "SAY",
			Raid	= "SAY",
			Party	= "SAY",
			Solo	= "SAY",
		},
		WhisperTarget = false,
		Messages = {
			[1] = "Ritual of Refreshment is being placed near <player> please click to assist",
			[2] = "C1ick 4 t@b1e",
			[3] = "Magic Biscuits, Brownies, and Goo-balls $5. CDs $10. T-shirts $15. Enjoy the concert!",
			[4] = "<player>'s Magical Biscuits<TM> - WARNING: may cause nauseu, loss of appetite, blindness, fear, stunlock, or spontaneous transmutation into a sheep, pig, or turtle. Consult your doctor before eating <player>'s Magical Biscuits<TM>",
			[5] = "<player>'s Magical Biscuits<TM> - Now with 30% more Flavor Power!",
			[6] = "<player>'s Magical Biscuits<TM> - Try all new Organic <player>'s Magical Biscuits<TM>! Now in Teriaki Tofu Flavor!",
			[7] = "<player>'s Magical Biscuits<TM> - It's Mannabiscuitalisious<TM>!!",
			[8] = "<player>'s Magical Biscuits<TM> - Now with +35 Stamina Buff!! (also-gives-minus-thirty-five-stamina-debuff-no-actual-buff-may-be-visible-consult-your-doctor-before-eating <player>'s Magical Biscuits<TM>",
			[9] = "<player>'s Magical Biscuits<TM> - The Official Cereal of Beauty and the Beast VII: Beauty in Azeroth (sings) Be... a... pest! Be a pest! Put my patience to the test! RENT IT TODAY!",
		},
	},
	["polymorph"] = { -- if unspecified rank, this means sheep (or may be glyphed to penguin)
		Channels = {
			BG		= nil, --"SAY",
			Raid	= nil, --"SAY",
			Party	= "PARTY",
			Solo	= nil, --"SAY",
		},
		WhisperTarget = false,
		Messages = {
			[1] = "Sheeping <target>",
			[2] = "<player> is casting polymorph on <target>",
			[3] = "<target> is getting in touch with his inner spirit animal",
			[4] = "Bah, <target>",
		},
	},
	["ice block"] = {
		Channels = {
			BG		= nil, --"SAY",
			Raid	= nil, --"SAY",
			Party	= "SAY",
			Solo	= "SAY",
		},
		WhisperTarget = false,
		Messages = {
			[1] = "Is it cold in here, or is it just me?",
			[2] = "I am INVINCIBLE!",
			[3] = "Ice, ice, baby!",
			[4] = "Wonder Twin power activate! Form of an ice cube.",
			[5] = "HELP! I got trapped in a walk-in freezer.",
			[6] = "Oops, I think I stepped in the hunter's ice trap.",
		},
	},
	["invisibility"] = {
		Channels = {
			BG		= nil, --"SAY",
			Raid	= nil, --"SAY",
			Party	= "PARTY",
			Solo	= "SAY",
		},
		WhisperTarget = false,
		Messages = {
			[1] = "Now you see me, soon you won't",
		},
	},
	["summon water elemental"] = {
		Channels = {
			BG		= nil, --"SAY",
			Raid	= nil, --"SAY",
			Party	= "SAY",
			Solo	= "SAY",
		},
		WhisperTarget = false,
		Messages = {
			[1] = "Yes, I AM a God!",
			[2] = "Let me introduce you to my little friend.",
		},
	},
	["hot streak"] = {
		Channels = {
			BG		= nil, --"SAY",
			Raid	= nil, --"SAY",
			Party	= "SAY",
			Solo	= "SAY",
		},
		WhisperTarget = false,
		Messages = {
			[1] = "I'm gonna light you up, sweet cheeks!",
			[2] = "Burn, baby, burn!",
			[3] = "I'm on FIRE, woot!",
			[4] = "Crit, crit, crit, BOOM!",
			[5] = "I'm on a hot streak!",
			[6] = "Whoa baby I'm on a roll!",
			[7] = "I'm on fire baby, watch out!",
		},
	},
	["mirror image"] = {
		Channels = {
			BG		= nil, --"SAY",
			Raid	= nil, --"SAY",
			Party	= "SAY",
			Solo	= "SAY",
		},
		WhisperTarget = false,
		Messages = {
			[1] = "I'd like to introduce you to my cousin Darrel, and my other cousin Darrel, and my other cousin Darrel",
			[2] = "In case of emergency, the mages are here, here, here, and here",
			[3] = "I look pretty good if I do say so myself, and so do I, and so do I, and so do I",
			[4] = "And so begin the clone wars",
		},
	},
	-- alliance portals
	["portal: ironforge"] = {
		Channels = {
			BG		= nil, --"BATTLEGROUND",
			Raid	= "RAID",
			Party	= "PARTY",
			Solo	= "SAY",
		},
		WhisperTarget = false,
		Messages = {
			-- general portal messages
			[1] = "Entering this portal will take you to a far away city.",
			[2] = "Why go to Ironforge when we can summon Ironforge to us? Click to summon the city.",
			[3] = "Ironforge? Really? Why would you want to go there? Honestly, do you know who LIVES there??",
			[4] = "Focus <player>, they want to go to Ironforge, not the middle of the ocean, Ironforge...",
			[5] = "DISCLAIMER: I got my portal license off the AH. Use at your own risk.",
			[6] = "Unscheduled off world activation!",
			[7] = "Here's your portal. That'll be 2500g please. Hey the reagent isn't cheap... oh wait, yes it is, nevermind.",
			-- city-specific
			[8] = "Next stop: Ironforge. Home to all things great and small.",
		},
	},
	["portal: stormwind"] = {
		Channels = {
			BG		= nil, --"BATTLEGROUND",
			Raid	= "RAID",
			Party	= "PARTY",
			Solo	= "SAY",
		},
		WhisperTarget = false,
		Messages = {
			-- general portal messages
			[1] = "Entering this portal will take you to a far away city.",
			[2] = "Why go to Stormwind when we can summon Stormwind to us? Click to summon the city.",
			[3] = "Stormwind? Really? Why would you want to go there? Honestly, do you know who LIVES there??",
			[4] = "Focus <player>, they want to go to Stormwind, not the middle of the ocean, Stormwind...",
			[5] = "DISCLAIMER: I got my portal license off the AH. Use at your own risk.",
			[6] = "Unscheduled off world activation!",
			[7] = "Here's your portal. That'll be 2500g please. Hey the reagent isn't cheap... oh wait, yes it is, nevermind.",
			-- city-specific
			[8] = "Next stop: Stormwind. Watch your step, don't fall into the canals. The sharks might get you.",
		},
	},
	["portal: darnassus"] = {
		Channels = {
			BG		= nil, --"BATTLEGROUND",
			Raid	= "RAID",
			Party	= "PARTY",
			Solo	= "SAY",
		},
		WhisperTarget = false,
		Messages = {
			-- general portal messages
			[1] = "Entering this portal will take you to a far away city.",
			[2] = "Why go to Stormwind when we can summon Stormwind to us? Click to summon the city.",
			[3] = "Stormwind? Really? Why would you want to go there? Honestly, do you know who LIVES there??",
			[4] = "Focus <player>, they want to go to Stormwind, not the middle of the ocean, Stormwind...",
			[5] = "DISCLAIMER: I got my portal license off the AH. Use at your own risk.",
			[6] = "Unscheduled off world activation!",
			[7] = "Here's your portal. That'll be 2500g please. Hey the reagent isn't cheap... oh wait, yes it is, nevermind.",
			-- city-specific
			[8] = "Next stop: Darnassus, where you can hear the crickets.",
		},
	},
	["portal: exodar"] = {
		Channels = {
			BG		= nil, --"BATTLEGROUND",
			Raid	= "RAID",
			Party	= "PARTY",
			Solo	= "SAY",
		},
		WhisperTarget = false,
		Messages = {
			-- general portal messages
			[1] = "Entering this portal will take you to a far away city.",
			[2] = "Why go to Stormwind when we can summon Stormwind to us? Click to summon the city.",
			[3] = "Stormwind? Really? Why would you want to go there? Honestly, do you know who LIVES there??",
			[4] = "Focus <player>, they want to go to Stormwind, not the middle of the ocean, Stormwind...",
			[5] = "DISCLAIMER: I got my portal license off the AH. Use at your own risk.",
			[6] = "Unscheduled off world activation!",
			[7] = "Here's your portal. That'll be 2500g please. Hey the reagent isn't cheap... oh wait, yes it is, nevermind.",
			-- city-specific
			[8] = "Entering this portal will take you to the ends of the earth... I mean Exodar.",
		},
	},
	["portal: theramore"] = {
		Channels = {
			BG		= nil, --"BATTLEGROUND",
			Raid	= "RAID",
			Party	= "PARTY",
			Solo	= "SAY",
		},
		WhisperTarget = false,
		Messages = {
			-- general portal messages
			[1] = "Entering this portal will take you to a far away city.",
			[2] = "Why go to Stormwind when we can summon Stormwind to us? Click to summon the city.",
			[3] = "Stormwind? Really? Why would you want to go there? Honestly, do you know who LIVES there??",
			[4] = "Focus <player>, they want to go to Stormwind, not the middle of the ocean, Stormwind...",
			[5] = "DISCLAIMER: I got my portal license off the AH. Use at your own risk.",
			[6] = "Unscheduled off world activation!",
			[7] = "Here's your portal. That'll be 2500g please. Hey the reagent isn't cheap... oh wait, yes it is, nevermind.",
			-- city-specific
			[8] = "Tell Jaina I said hi",
		},
	},
	-- horde portals
	["portal: orgrimmar"] = {
		Channels = {
			BG		= nil, --"BATTLEGROUND",
			Raid	= "RAID",
			Party	= "PARTY",
			Solo	= "SAY",
		},
		WhisperTarget = false,
		Messages = {
			-- general portal messages
			[1] = "Entering this portal will take you to a far away city.",
			[2] = "Why go to Orgrimmar when we can summon Orgrimmar to us? Click to summon the city.",
			[3] = "Orgrimmar? Really? Why would you want to go there? Honestly, do you know who LIVES there??",
			[4] = "Focus <player>, they want to go to Orgrimmar, not the middle of the ocean, Orgrimmar...",
			[5] = "DISCLAIMER: I got my portal license off the AH. Use at your own risk.",
			[6] = "Unscheduled off world activation!",
			[7] = "Here's your portal. That'll be 2500g please. Hey the reagent isn't cheap... oh wait, yes it is, nevermind.",
			-- city-specific
			[8] = "WARNING: you might want to plug your nose before entering this portal. It smells like Orc where you're going.",
		},
	},
	["portal: thunder bluff"] = {
		Channels = {
			BG		= nil, --"BATTLEGROUND",
			Raid	= "RAID",
			Party	= "PARTY",
			Solo	= "SAY",
		},
		WhisperTarget = false,
		Messages = {
			-- general portal messages
			[1] = "Entering this portal will take you to a far away city.",
			[2] = "Why go to Ironforge when we can summon Ironforge to us? Click to summon the city.",
			[3] = "Ironforge? Really? Why would you want to go there? Honestly, do you know who LIVES there??",
			[4] = "Focus <player>, they want to go to Ironforge, not the middle of the ocean, Ironforge...",
			[5] = "DISCLAIMER: I got my portal license off the AH. Use at your own risk.",
			[6] = "Unscheduled off world activation!",
			[7] = "Here's your portal. That'll be 2500g please. Hey the reagent isn't cheap... oh wait, yes it is, nevermind.",
			-- city-specific
			[8] = "Now entering Thunder Bluff, where no one can hear you scream, probably because there's nobody else there",
		},
	},
	["portal: undercity"] = {
		Channels = {
			BG		= nil, --"BATTLEGROUND",
			Raid	= "RAID",
			Party	= "PARTY",
			Solo	= "SAY",
		},
		WhisperTarget = false,
		Messages = {
			-- general portal messages
			[1] = "Entering this portal will take you to a far away city.",
			[2] = "Why go to Undercity when we can summon Undercity to us? Click to summon the city.",
			[3] = "Undercity? Really? Why would you want to go there? Honestly, do you know who LIVES there??",
			[4] = "Focus <player>, they want to go to Undercity, not the middle of the ocean, Undercity...",
			[5] = "DISCLAIMER: I got my portal license off the AH. Use at your own risk.",
			[6] = "Unscheduled off world activation!",
			[7] = "Here's your portal. That'll be 2500g please. Hey the reagent isn't cheap... oh wait, yes it is, nevermind.",
			-- city-specific
			[8] = "Opening a portal to Sewerville",
		},
	},
	["portal: silvermoon"] = {
		Channels = {
			BG		= nil, --"BATTLEGROUND",
			Raid	= "RAID",
			Party	= "PARTY",
			Solo	= "SAY",
		},
		WhisperTarget = false,
		Messages = {
			-- general portal messages
			[1] = "Entering this portal will take you to a far away city.",
			[2] = "Why go to Silvermoon when we can summon Silvermoon to us? Click to summon the city.",
			[3] = "Silvermoon? Really? Why would you want to go there? Honestly, do you know who LIVES there??",
			[4] = "Focus <player>, they want to go to Silvermoon, not the middle of the ocean, Silvermoon...",
			[5] = "DISCLAIMER: I got my portal license off the AH. Use at your own risk.",
			[6] = "Unscheduled off world activation!",
			[7] = "Here's your portal. That'll be 2500g please. Hey the reagent isn't cheap... oh wait, yes it is, nevermind.",
			-- city-specific
			[8] = "Next stop: Silvermoon, where mailboxes outnumber even the blood elves",
		},
	},
	["portal: stonard"] = {
		Channels = {
			BG		= nil, --"BATTLEGROUND",
			Raid	= "RAID",
			Party	= "PARTY",
			Solo	= "SAY",
		},
		WhisperTarget = false,
		Messages = {
			-- general portal messages
			[1] = "Entering this portal will take you to a far away city.",
			[2] = "Why go to Ironforge when we can summon Ironforge to us? Click to summon the city.",
			[3] = "Ironforge? Really? Why would you want to go there? Honestly, do you know who LIVES there??",
			[4] = "Focus <player>, they want to go to Ironforge, not the middle of the ocean, Ironforge...",
			[5] = "DISCLAIMER: I got my portal license off the AH. Use at your own risk.",
			[6] = "Unscheduled off world activation!",
			[7] = "Here's your portal. That'll be 2500g please. Hey the reagent isn't cheap... oh wait, yes it is, nevermind.",
			-- city-specific
			[8] = "Opening a portal to Stonard. Grab me a phat herb bag full of merry mana pot while you're there, eh?",
		},
	},
	-- neutral portals
	["portal: shattrath"] = {
		Channels = {
			BG		= nil, --"BATTLEGROUND",
			Raid	= "RAID",
			Party	= "PARTY",
			Solo	= "SAY",
		},
		WhisperTarget = false,
		Messages = {
			-- general portal messages
			[1] = "Entering this portal will take you to a far away city.",
			[2] = "Why go to Shattrath when we can summon Shattrath to us? Click to summon the city.",
			[3] = "Shattrath? Really? Why would you want to go there? Honestly, do you know who LIVES there??",
			[4] = "Focus <player>, they want to go to Shattrath, not the middle of the ocean, Shattrath...",
			[5] = "DISCLAIMER: I got my portal license off the AH. Use at your own risk.",
			[6] = "Unscheduled off world activation!",
			[7] = "Here's your portal. That'll be 2500g please. Hey the reagent isn't cheap... oh wait, yes it is, nevermind.",
			-- city-specific
			[8] = "So people still visit Shattrath, huh?",
		},
	},
	["portal: dalaran"] = {
		Channels = {
			BG		= nil, --"BATTLEGROUND",
			Raid	= "RAID",
			Party	= "PARTY",
			Solo	= "SAY",
		},
		WhisperTarget = false,
		Messages = {
			-- general portal messages
			[1] = "Entering this portal will take you to a far away city.",
			[2] = "Why go to Dalaran when we can summon Dalaran to us? Click to summon the city.",
			[3] = "Dalaran? Really? Why would you want to go there? Honestly, do you know who LIVES there??",
			[4] = "Focus <player>, they want to go to Dalaran, not the middle of the ocean, Dalaran...",
			[5] = "DISCLAIMER: I got my portal license off the AH. Use at your own risk.",
			[6] = "Unscheduled off world activation!",
			[7] = "Here's your portal. That'll be 2500g please. Hey the reagent isn't cheap... oh wait, yes it is, nevermind.",
			-- city-specific
			[8] = "Dalaran: it's not just for mages anymore",
		},
	},
},

-------------------------------------------------------------------------------
HUNTER = {

	["call pet"] = {
		Channels = {
			BG		= nil, --"SAY",
			Raid	= "SAY",
			Party	= "SAY",
			Solo	= "SAY",
		},
		WhisperTarget = false,
		Messages = {
			[1] = "Heeere fido! Here boy! Come!",
			[2] = "Don't worry, he's friendly",
			[3] = "OK my pet's out now, so either he'll tank for us, or randomly pull aggro from a dozen mobs, we'll see...",
		},
	},
	["misdirect"] = {
		Channels = {
			BG		= nil, --"SAY",
			Raid	= "RAID",
			Party	= "PARTY",
			Solo	= "SAY",
		},
		WhisperTarget = false,
		Messages = {
			[1] = "No, no, go for <target>, he's the one biting your ankles!",
			[2] = "<target> insulted your mother, you gonna take that??",
			[3] = "<target> did it!",
		},
	},
	["feign death"] = {
		Channels = {
			BG		= nil, --"SAY",
			Raid	= nil, --"RAID",
			Party	= "PARTY",
			Solo	= "SAY",
		},
		WhisperTarget = false,
		Messages = {
			[1] = "I'm not quite dead yet",
			[2] = "Look ma, no health bar!",
			[3] = "Darn, I'm dead. No really!",
		},
	},
},

-------------------------------------------------------------------------------
PRIEST = {

	["resurrection"] = {
		Channels = {
			BG		= "BATTLEGROUND",
			Raid	= "RAID",
			Party	= "PARTY",
			Solo	= "SAY",
		},
		WhisperTarget = false,
		Messages = {
			[1] = "Rezzing <target>",
			[2] = "<target>, don't go into the light, return to the land of the living!",
			[3] = "Rise, <target>, and live again!",
			[4] = "Get yer lazy bones up!",
			[5] = "The hand of God reaches down and brings <target> back to life",
		},
	},
	["desperate prayer"] = {
		Channels = {
			BG		= "BATTLEGROUND",
			Raid	= "RAID",
			Party	= "PARTY",
			Solo	= "SAY",
		},
		WhisperTarget = false,
		Messages = {
			[1] = "Help me, Lord!",
			[2] = "Dear Lord, I promise to be a better priest if you help <target> live another day.",
		},
	},
},

-------------------------------------------------------------------------------
PALADIN = {

	["redemption"] = {
		Channels = {
			BG		= "BATTLEGROUND",
			Raid	= "RAID",
			Party	= "PARTY",
			Solo	= "SAY",
		},
		WhisperTarget = true,
		Messages = {
			[1] = "Rezzing <target>",
			[2] = "<target>, don't go into the light, return to the land of the living!",
			[3] = "Rise, <target>, and live again!",
			[4] = "Get yer lazy bones up!",
			[5] = "The hand of God reaches down and brings <target> back to life",
		},
	},
	["divine plea"] = {
		Channels = {
			BG		= nil, --"BATTLEGROUND",
			Raid	= nil, --"RAID",
			Party	= "PARTY",
			Solo	= "SAY",
		},
		WhisperTarget = true,
		Messages = {
			[1] = "Please Light, Don't let me go OOM. If the tank dies again I'm getting gkicked.",
		},
	},
	["blessing of protection"] = {
		Channels = {
			BG		= nil, --"BATTLEGROUND",
			Raid	= "RAID",
			Party	= "PARTY",
			Solo	= "SAY",
		},
		WhisperTarget = true,
		Messages = {
			[1] = "You've got 10 seconds of bubble <target>, bandage now if you got them!",
		},
	},
	["divine intervention"] = {
		Channels = {
			BG		= "BATTLEGROUND",
			Raid	= "RAID",
			Party	= "PARTY",
			Solo	= "SAY",
		},
		WhisperTarget = true,
		Messages = {
			[1] = "It's a wipe! <target> has a DI.",
			[2] = "DI is short for DIE in a good place, somewhere <target> will be able to rez you.",
			[3] = "I, I just died in your arms tonight. Must've been something I said...",
		},
	},
	["exorcism"] = {
		Channels = {
			BG		= nil, --"BATTLEGROUND",
			Raid	= nil, --"RAID",
			Party	= "SAY",
			Solo	= "SAY",
		},
		WhisperTarget = true,
		Messages = {
			[1] = "The power of CHRIST compels you!",
		},
	},
	["divine favor"] = {
		Channels = {
			BG		= nil, --"SAY",
			Raid	= nil, --"SAY",
			Party	= "SAY",
			Solo	= "SAY",
		},
		WhisperTarget = true,
		Messages = {
			[1] = "Dear Lord, I need a favor",
			[2] = "Dear Lord, remember that one time I went to church back in '83? I need you to return the favor",
			[3] = "I pity the fool who don't respect the light!",
		},
	},
	["lay on hands"] = {
		Channels = {
			BG		= nil, --"SAY",
			Raid	= "SAY",
			Party	= "SAY",
			Solo	= "SAY",
		},
		WhisperTarget = true,
		Messages = {
			[1] = "I don't want anybody else, when I think about you, I touch your self",
			[2] = "Don't ask me how I laid my hands on you from way over here, but I just did",
			[3] = "OH SHlT, OH SHlT, OH SHlT... HA! Fooled ya! :P",
		},
	},
	["hand of salvation"] = {
		Channels = {
			BG		= nil, --"SAY",
			Raid	= "EMOTE",
			Party	= "EMOTE",
			Solo	= "EMOTE",
		},
		WhisperTarget = true,
		Messages = {
			[1] = "rubs down <target> releasing some of the threat.",
			[2] = "slaps <target> with the backhand of salvation.",
		},
	},
},

-------------------------------------------------------------------------------
DRUID = {

	["revive"] = { -- out of combat rez
		Channels = {
			BG		= "BATTLEGROUND",
			Raid	= "RAID",
			Party	= "PARTY",
			Solo	= "SAY",
		},
		WhisperTarget = true,
		Messages = {
			[1] = "Rezzing <target>",
			[2] = "<target>, don't go into the light, return to the land of the living!",
			[3] = "Rise, <target>, and live again!",
			[4] = "Get yer lazy bones up!",
			[5] = "The hand of God reaches down and brings <target> back to life",
		},
	},
	["rebirth"] = { -- battle rez
		Channels = {
			BG		= "BATTLEGROUND",
			Raid	= "RAID",
			Party	= "PARTY",
			Solo	= "SAY",
		},
		WhisperTarget = true,
		Messages = {
			[1] = "Rezzing <target>",
			[2] = "<target>, don't go into the light, return to the land of the living!",
			[3] = "Rise, <target>, and live again!",
			[4] = "Get yer lazy bones up!",
			[5] = "The hand of God reaches down and brings <target> back to life",
		},
	},
},

-------------------------------------------------------------------------------
WARLOCK = {

	["ritual of souls"] = { -- create soulwell
		Channels = {
			BG		= "BATTLEGROUND",
			Raid	= "RAID",
			Party	= "PARTY",
			Solo	= "SAY",
		},
		WhisperTarget = false,
		Messages = {
			[1] = "Lock Candy! Get your lock candy here!",
			[2] = "Mmmm cookies...",
		},
	},
	["ritual of summoning"] = {
		Channels = {
			BG		= "BATTLEGROUND",
			Raid	= "RAID",
			Party	= "PARTY",
			Solo	= "SAY",
		},
		WhisperTarget = true,
		Messages = {
			[1] = "Summoning <target> The Lazy, click to assist please",
			[2] = "If you click on the portal, someone named <target> will show up and do your job for you."
		},
	},
	["soulstone resurrection"] = { -- NOTE: this is the name of the spell that is cast by using the Demonic Soulstone item
		Channels = {
			BG		= "BATTLEGROUND",
			Raid	= "RAID",
			Party	= "PARTY",
			Solo	= "SAY",
		},
		WhisperTarget = true,
		Messages = {
			[1] = "It's OK if we all die.  <target> has a soul stone",
			[2] = "<target> is stoned... whoa, heavy",
		},
	},
},

-------------------------------------------------------------------------------
SHAMAN = {

	["ancestral spirit"] = {
		Channels = {
			BG		= "BATTLEGROUND",
			Raid	= "RAID",
			Party	= "PARTY",
			Solo	= "SAY",
		},
		WhisperTarget = true,
		Messages = {
			[1] = "Rezzing <target>",
			[2] = "<target>, don't go into the light, return to the land of the living!",
			[3] = "Rise, <target>, and live again!",
			[4] = "Get yer lazy bones up!",
			[5] = "The hand of God reaches down and brings <target> back to life",
		},
	},
},

-------------------------------------------------------------------------------
DEATHKNIGHT = {

	["death grip"] = {
		Channels = {
			BG		= nil, --"SAY",
			Raid	= nil, --"SAY",
			Party	= "SAY",
			Solo	= "SAY",
		},
		WhisperTarget = false,
		Messages = {
			[1] = "Get over here, <target>!",
			[2] = "Hey <target>, let go of my yo-yo!",
		},
	},
	["raise dead"] = {
		Channels = {
			BG		= nil, --"SAY",
			Raid	= nil, --"SAY",
			Party	= "SAY",
			Solo	= "SAY",
		},
		WhisperTarget = false,
		Messages = {
			[1] = "It's alive... ALIVE!!!",
			[2] = "Rise, <target>, my undead puppet, and do my bidding!",
		},
	},
},

-------------------------------------------------------------------------------
WARRIOR = {

	["charge"] = {
		Channels = {
			BG		= nil, --"SAY",
			Raid	= nil, --"SAY",
			Party	= "SAY",
			Solo	= "SAY",
		},
		WhisperTarget = false,
		Messages = {
			[1] = "CHARGE!!!",
			[2] = "Vroom Vroom!",
		},
	},
	["demoralizing shout"] = {
		Channels = {
			BG		= nil, --"SAY",
			Raid	= nil, --"SAY",
			Party	= "SAY",
			Solo	= "SAY",
		},
		WhisperTarget = false,
		Messages = {
			[1] = "RAWR! You're sad now!",
			[2] = "You're GF likes me better! Ha!",
		},
	},
	["taunt"] = {
		Channels = {
			BG		= nil, --"SAY",
			Raid	= nil, --"SAY",
			Party	= "SAY",
			Solo	= "SAY",
		},
		WhisperTarget = false,
		Messages = {
			[1] = "Get out of my sight you english kenniggits, or I shall be forced to taunt you a second time!",
			[2] = "Your mother was a hamster and your father smelt of elderberries!",
			[3] = "You hit like a small child!",
			[4] = "You hit like a girl!",
			[5] = "The fight is over here, coward!",
		},
	}
},

-------------------------------------------------------------------------------
ROGUE = {

	["vanish"] = {
		Channels = {
			BG		= nil, --"SAY",
			Raid	= nil, --"SAY",
			Party	= "SAY",
			Solo	= "SAY",
		},
		WhisperTarget = false,
		Messages = {
			[1] = "Now you see me, now you don't",
			[2] = "Where was I? Ah yes...",
		},
	},
},

-------------------------------------------------------------------------------
} -- end DEFAULT_DATA_PER_CLASS

